Package SimPy :: Module tkconsole

[hide private]
[frames] | no frames]

# Module tkconsole

source code

A Tkinter-based console for conversing with the Python interpreter, featuring more tolerant pasting of code from other interactive sessions, better handling of continuations than the standard Python interpreter, highlighting of the most recently-executed code block, the ability to edit and reexecute previously entered code, a history of recently-entered lines, automatic multi-level completion with pop-up menus, and pop-up help.

Ka-Ping Yee <ping@lfw.org>, 18 April 1999. This software is in the public domain and is provided without express or implied warranty. Permission to use, modify, or distribute the software for any purpose is hereby granted.

Classes | [hide private]

`` | OutputPipe A substitute file object for redirecting output to a function.
`` | Console

Functions | [hide private]

`` | scanclass(klass, result)
`` | members(object)
`` | matchingkeys(keys, prefix)
`` | commonprefix(keys)
`` | finisher(object)

Variables | [hide private]

`` | REVISION = `'$Revision: 1.1.1.4 $'`
`` | VERSION = `'1.1.1.4'`
`` | callabletypes = `[<type 'function'>, <type 'instancemethod'>, <type '...`
`` | sequencetypes = `[<type 'tuple'>, <type 'list'>]`
`` | mappingtypes = `[<type 'dict'>]`
`` | c = `Console(dict= {})`

Function Details | [hide private]

### scanclass(klass, result)

source code

None

### members(object)

source code

None

### matchingkeys(keys, prefix)

source code

None

### commonprefix(keys)

source code

None

### finisher(object)

source code

None

Variables Details | [hide private]

### REVISION

None

  Value:

        '$Revision: 1.1.1.4 $'

### VERSION

None

  Value:

        '1.1.1.4'

### callabletypes

None

  Value:

        [<type 'function'>,
         <type 'instancemethod'>,
         <type 'classobj'>,
         <type 'builtin_function_or_method'>,
         <type 'builtin_function_or_method'>]

### sequencetypes

None

  Value:

        [<type 'tuple'>, <type 'list'>]

### mappingtypes

None

  Value:

        [<type 'dict'>]

### c

None

  Value:

        Console(dict= {})